<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die();

jimport('joomla.plugin.plugin');

/**
 * System - Google Analytics Plugin
 *
 * @package		Joomla.Plugin
 * @subpakage	Skyline.GoogleAnalytics
 */
class plgSystemSL_GoogleAnalytics extends JPlugin {

	/**
	 * Constructor.
	 *
	 * @param 	$subject
	 * @param	array $config
	 */
	function __construct(&$subject, $config = array()) {
		// call parent constructor
		parent::__construct($subject, $config);
	}

	/**
	 * onAfterRender Hook.
	 */
	public function onAfterRender() {
		if ($account = $this->params->get('account')) {

			$body	= JResponse::getBody();
			$gacode	= <<<GOOGLEANALYTICSCODE
$0
<script type="text/javascript">
//<![CDATA[

(function() {
	var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
	ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
	(document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(ga);
})();

var _gaq = _gaq || [];

_gaq.push(['_setAccount', '$account']);
_gaq.push(['_trackPageview']);

//]]>
</script>
GOOGLEANALYTICSCODE;

			$body = preg_replace('/<body[^>]*>/', $gacode, $body);
			JResponse::setBody($body);
		}
	}
}